Bug 1125798 - [abrt] gthumb: select_range_with_keyboard(): gthumb killed by SIGSEGV
Summary: [abrt] gthumb: select_range_with_keyboard(): gthumb killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gthumb
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:46744c9c9bfc9b9adff7c43f7cd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 05:01 UTC by nadersalehi1
Modified: 2015-06-29 21:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:53:16 UTC


Attachments (Terms of Use)
File: backtrace (63.65 KB, text/plain)
2014-08-01 05:01 UTC, nadersalehi1
no flags Details
File: cgroup (173 bytes, text/plain)
2014-08-01 05:01 UTC, nadersalehi1
no flags Details
File: core_backtrace (37.28 KB, text/plain)
2014-08-01 05:01 UTC, nadersalehi1
no flags Details
File: dso_list (18.35 KB, text/plain)
2014-08-01 05:01 UTC, nadersalehi1
no flags Details
File: environ (1.49 KB, text/plain)
2014-08-01 05:01 UTC, nadersalehi1
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-01 05:01 UTC, nadersalehi1
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-01 05:01 UTC, nadersalehi1
no flags Details
File: maps (92.29 KB, text/plain)
2014-08-01 05:01 UTC, nadersalehi1
no flags Details
File: open_fds (2.69 KB, text/plain)
2014-08-01 05:01 UTC, nadersalehi1
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-08-01 05:01 UTC, nadersalehi1
no flags Details
File: var_log_messages (520 bytes, text/plain)
2014-08-01 05:01 UTC, nadersalehi1
no flags Details

Description nadersalehi1 2014-08-01 05:01:21 UTC
Version-Release number of selected component:
gthumb-3.2.8-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gthumb
crash_function: select_range_with_keyboard
executable:     /usr/bin/gthumb
kernel:         3.14.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            32535

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 select_range_with_keyboard at gth-grid-view.c:3175
 #1 gth_grid_view_move_cursor at gth-grid-view.c:3334
 #2 gth_marshal_BOOLEAN__ENUM_ENUM at gth-marshal.c:86
 #5 g_signal_emitv at gsignal.c:3063
 #6 gtk_binding_entry_activate at gtkbindings.c:652
 #7 binding_activate at gtkbindings.c:1524
 #8 gtk_bindings_activate_list at gtkbindings.c:1585
 #9 gtk_bindings_activate at gtkbindings.c:1632
 #10 gth_grid_view_key_press at gth-grid-view.c:1771
 #11 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130

Comment 1 nadersalehi1 2014-08-01 05:01:23 UTC
Created attachment 923082 [details]
File: backtrace

Comment 2 nadersalehi1 2014-08-01 05:01:23 UTC
Created attachment 923083 [details]
File: cgroup

Comment 3 nadersalehi1 2014-08-01 05:01:25 UTC
Created attachment 923084 [details]
File: core_backtrace

Comment 4 nadersalehi1 2014-08-01 05:01:26 UTC
Created attachment 923085 [details]
File: dso_list

Comment 5 nadersalehi1 2014-08-01 05:01:27 UTC
Created attachment 923086 [details]
File: environ

Comment 6 nadersalehi1 2014-08-01 05:01:28 UTC
Created attachment 923087 [details]
File: exploitable

Comment 7 nadersalehi1 2014-08-01 05:01:28 UTC
Created attachment 923088 [details]
File: limits

Comment 8 nadersalehi1 2014-08-01 05:01:30 UTC
Created attachment 923089 [details]
File: maps

Comment 9 nadersalehi1 2014-08-01 05:01:30 UTC
Created attachment 923090 [details]
File: open_fds

Comment 10 nadersalehi1 2014-08-01 05:01:31 UTC
Created attachment 923091 [details]
File: proc_pid_status

Comment 11 nadersalehi1 2014-08-01 05:01:31 UTC
Created attachment 923092 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:32:02 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:53:16 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.